TARGET = $$qtLibraryTarget(toptemplateclassplugin)

CONFIG += plugin

QT += core  sql widgets script network xml scripttools

TEMPLATE = lib

LIB_LIST = tsec tbaseutil tdatabaseutil twidget topcore toputil
win32 {
    LIB_LIST += tole
}
SOURCES += \
    toptemplateclass4.cpp \

HEADERS += \
    toptemplateclass4.h \

win32 {
    LIBS += -ldbghelp
}

DIST_DIR = $$PWD/../../dist
include(../shared/shared.pri)

INCLUDEPATH += ../lib

LIBS += -L$$DESTDIR
win32 {
    LIBS += -L$${DESTDIR}/plugins
}
win32{
    DESTDIR = $${DESTDIR}/plugins
}

HEADERS += \
    toptemplateclassplugin.h

SOURCES += \
    toptemplateclassplugin.cpp

# i18n
TRANSLATIONS += toptemplateclass_en.ts toptemplateclass_zhcn.ts toptemplateclass_zhtw.ts

QM_LIST = $$PWD/*.qm
DEST_LANGUAGE_PATH = $$system_path($${TOPIKM_SDKPATH}/language)
!exists($${DEST_LANGUAGE_PATH}) {
    mkpath($${DEST_LANGUAGE_PATH})
}
for(qm, QM_LIST) {
    win32 {
        system(copy $$system_path($${qm}) $${DEST_LANGUAGE_PATH})
    } else {
        system(cp $$system_path($${qm}) $${DEST_LANGUAGE_PATH})
    }
}

#版本信息
CONFIG += skip_target_version_ext
VERSION = 1.2.8.0
QMAKE_TARGET_PRODUCT = toptemplateclass
QMAKE_TARGET_COMPANY = TopLinker Co.,Ltd.
QMAKE_TARGET_COPYRIGHT = Copyright(C) 2020 TopLinker
