﻿#ifndef TOPTEMPLATECLASS2_H
#define TOPTEMPLATECLASS2_H

#include <topcore/topclassabs.h>

class TUiLoader;

class TopTemplateClass2 : public TopClassAbs
{
    Q_OBJECT
public:
    explicit TopTemplateClass2(const QString &iModuleName = QString(""),
                               const QVariantMap &iUrlPars = QVariantMap(),
                               QWidget *iParent = nullptr);
    ~TopTemplateClass2();
public slots:
    void setUiKey(const QString &iKey);
    void setUiStr(const QString &iUi);
    void refresh();
    QStringList queryFields() const;
    TUiLoader *uiLoader();
    QVariant uiLoaderValues() const;
private slots:
    void onDataChanged();
private:
    void initUi();
private:
    TUiLoader *mUiLoader = nullptr;
};

#endif // TOPTEMPLATECLASS2_H
