﻿#ifndef TEMPLATEPLUGIN_H
#define TEMPLATEPLUGIN_H

#include <QtPlugin>
#include <QVariantMap>
#include <topcore/topclasspluginabs.h>

class TemplatePlugin : public QObject, public TopClassPluginAbs
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "net.toplinker.TopClassAbsPlugin")
    Q_INTERFACES(TopClassPluginAbs)

public:
    QStringList getClassList() override;
    TopClassAbs *newClass(const QString &iClassName,
                          const QString &iModuleName,
                          const QVariantMap &iUrlPars = QVariantMap()) override;
};

#endif // TEMPLATEPLUGIN_H
